FreeMat

- Main Page
- Related Pages

vtkImageDataStreamer

Section: Visualization Toolkit Imaging Classes

# Usage

To satisfy a request, this filter calls update on its input many times with smaller update extents. All processing up stream streams smaller pieces.

To create an instance of class vtkImageDataStreamer, simply invoke its constructor as follows

      obj = vtkImageDataStreamer

# Methods

The class vtkImageDataStreamer has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageDataStreamer class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageDataStreamer = obj.NewInstance ()`
- `vtkImageDataStreamer = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfStreamDivisions (int )` - Set how many pieces to divide the input into. void SetNumberOfStreamDivisions(int num); int GetNumberOfStreamDivisions();
- `int = obj.GetNumberOfStreamDivisions ()` - Set how many pieces to divide the input into. void SetNumberOfStreamDivisions(int num); int GetNumberOfStreamDivisions();
- `obj.Update ()`
- `obj.UpdateWholeExtent ()`
- `obj.SetExtentTranslator (vtkExtentTranslator )` - Get the extent translator that will be used to split the requests
- `vtkExtentTranslator = obj.GetExtentTranslator ()` - Get the extent translator that will be used to split the requests